Page MenuHomeFreeBSD

Improve RTG port
ClosedPublic

Authored by matthew on Aug 12 2016, 7:44 PM.

Details

Summary

Add 'rtg' user and group in UIDs/GIDs.
Use daemon(8) to daemonize rtgpoll.
Add prestart commands to set correct permissions for RTG's files.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

andrew.fengler_scaleengine.com retitled this revision from to Improve RTG port.
andrew.fengler_scaleengine.com updated this object.
andrew.fengler_scaleengine.com edited the test plan for this revision. (Show Details)

Bump PORTREVISION to 13

matthew accepted this revision.Aug 13 2016, 6:03 AM
matthew added a reviewer: matthew.
This revision is now accepted and ready to land.Aug 13 2016, 6:03 AM
matthew commandeered this revision.Oct 25 2016, 11:45 PM
matthew edited reviewers, added: andrew.fengler_scaleengine.com; removed: matthew.
This revision now requires review to proceed.Oct 25 2016, 11:45 PM
matthew updated this revision to Diff 21684.Oct 25 2016, 11:47 PM
matthew edited edge metadata.

This includes pi@'s changes from PR213293 plus my fix for the configure failures.

matthew accepted this revision.Oct 25 2016, 11:49 PM
matthew added a reviewer: matthew.
This revision is now accepted and ready to land.Oct 25 2016, 11:49 PM
matthew updated this revision to Diff 21694.Oct 26 2016, 6:59 AM
matthew edited edge metadata.

Re-add UIDs and GIDs to the diff

This revision now requires review to proceed.Oct 26 2016, 6:59 AM
matthew accepted this revision.Oct 26 2016, 6:59 AM
matthew edited edge metadata.
This revision is now accepted and ready to land.Oct 26 2016, 6:59 AM
This revision was automatically updated to reflect the committed changes.